package com.hai.dao;

import com.hai.entity.TbRechargePayOrder;
import com.hai.entity.TbRechargePayOrderExample;
import com.hai.entity.TbRechargePayOrderWithBLOBs;
import java.util.List;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface TbRechargePayOrderMapper extends TbRechargePayOrderMapperExt {
    @SelectProvider(type=TbRechargePayOrderSqlProvider.class, method="countByExample")
    long countByExample(TbRechargePayOrderExample example);

    @DeleteProvider(type=TbRechargePayOrderSqlProvider.class, method="deleteByExample")
    int deleteByExample(TbRechargePayOrderExample example);

    @Insert({
        "insert into tb_recharge_pay_order (validStartDate, validEndDate, ",
        "createtime, modifytime, ",
        "preBalance, postBalance, ",
        "rechargeId, phone, ",
        "couNo, `status`, ",
        "distributorId, distCouCount, ",
        "couTypeCode, `createuser`, ",
        "modifyuser, billVersion, ",
        "reconVersion, promoterId, ",
        "access_type, staticCheckCode, ",
        "use_shop, use_time)",
        "values (#{validstartdate,jdbcType=TIMESTAMP}, #{validenddate,jdbcType=TIMESTAMP}, ",
        "#{createtime,jdbcType=TIMESTAMP}, #{modifytime,jdbcType=TIMESTAMP}, ",
        "#{prebalance,jdbcType=DECIMAL}, #{postbalance,jdbcType=DECIMAL}, ",
        "#{rechargeid,jdbcType=LONGVARCHAR}, #{phone,jdbcType=LONGVARCHAR}, ",
        "#{couno,jdbcType=LONGVARCHAR}, #{status,jdbcType=LONGVARCHAR}, ",
        "#{distributorid,jdbcType=LONGVARCHAR}, #{distcoucount,jdbcType=LONGVARCHAR}, ",
        "#{coutypecode,jdbcType=LONGVARCHAR}, #{createuser,jdbcType=LONGVARCHAR}, ",
        "#{modifyuser,jdbcType=LONGVARCHAR}, #{billversion,jdbcType=LONGVARCHAR}, ",
        "#{reconversion,jdbcType=LONGVARCHAR}, #{promoterid,jdbcType=LONGVARCHAR}, ",
        "#{accessType,jdbcType=LONGVARCHAR}, #{staticcheckcode,jdbcType=LONGVARCHAR}, ",
        "#{useShop,jdbcType=LONGVARCHAR}, #{useTime,jdbcType=LONGVARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(TbRechargePayOrderWithBLOBs record);

    @InsertProvider(type=TbRechargePayOrderSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(TbRechargePayOrderWithBLOBs record);

    @SelectProvider(type=TbRechargePayOrderSqlProvider.class, method="selectByExampleWithBLOBs")
    @Results({
        @Result(column="validStartDate", property="validstartdate", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="validEndDate", property="validenddate", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="createtime", property="createtime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="modifytime", property="modifytime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="preBalance", property="prebalance", jdbcType=JdbcType.DECIMAL),
        @Result(column="postBalance", property="postbalance", jdbcType=JdbcType.DECIMAL),
        @Result(column="id", property="id", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="rechargeId", property="rechargeid", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="phone", property="phone", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="couNo", property="couno", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="distributorId", property="distributorid", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="distCouCount", property="distcoucount", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="couTypeCode", property="coutypecode", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="createuser", property="createuser", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="modifyuser", property="modifyuser", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="billVersion", property="billversion", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="reconVersion", property="reconversion", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="promoterId", property="promoterid", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="access_type", property="accessType", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="staticCheckCode", property="staticcheckcode", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="use_shop", property="useShop", jdbcType=JdbcType.LONGVARCHAR),
        @Result(column="use_time", property="useTime", jdbcType=JdbcType.LONGVARCHAR)
    })
    List<TbRechargePayOrderWithBLOBs> selectByExampleWithBLOBs(TbRechargePayOrderExample example);

    @SelectProvider(type=TbRechargePayOrderSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="validStartDate", property="validstartdate", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="validEndDate", property="validenddate", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="createtime", property="createtime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="modifytime", property="modifytime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="preBalance", property="prebalance", jdbcType=JdbcType.DECIMAL),
        @Result(column="postBalance", property="postbalance", jdbcType=JdbcType.DECIMAL)
    })
    List<TbRechargePayOrder> selectByExample(TbRechargePayOrderExample example);

    @UpdateProvider(type=TbRechargePayOrderSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") TbRechargePayOrderWithBLOBs record, @Param("example") TbRechargePayOrderExample example);

    @UpdateProvider(type=TbRechargePayOrderSqlProvider.class, method="updateByExampleWithBLOBs")
    int updateByExampleWithBLOBs(@Param("record") TbRechargePayOrderWithBLOBs record, @Param("example") TbRechargePayOrderExample example);

    @UpdateProvider(type=TbRechargePayOrderSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") TbRechargePayOrder record, @Param("example") TbRechargePayOrderExample example);
}